package net.pokeranalytics.android

import net.pokeranalytics.android.calculus.Stat
import net.pokeranalytics.android.model.Criteria
import org.junit.Assert
import org.junit.Test

class SavableEnumTest {

	@Test
	fun testSavableEnumConfiguration() {

		val statIds = Stat.valuesInternal().map { it.uniqueIdentifier }
		Assert.assertEquals(statIds.toSet().size, statIds.size)

		val criteriaIds = Criteria.valuesInternal().map { it.uniqueIdentifier }
		Assert.assertEquals(criteriaIds.toSet().size, criteriaIds.size)

	}

}